org.wildfly.swarm.microprofile.openapi.api.models.tags

## Class TagImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.tags.TagImpl

- All Implemented Interfaces:
    ModelImpl

      public class TagImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Tag` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tag` | `description(String description)`
    `Tag` | `externalDocs(ExternalDocumentation externalDocs)`
    `String` | `getDescription()`
    `ExternalDocumentation` | `getExternalDocs()`
    `String` | `getName()`
    `Tag` | `name(String name)`
    `void` | `setDescription(String description)`
    `void` | `setExternalDocs(ExternalDocumentation externalDocs)`
    `void` | `setName(String name)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagImpl

          public TagImpl()

  - ### Method Detail

    - #### getName

          public String getName()

      See Also:
        `org.eclipse.microprofile.openapi.models.tags.Tag#getName()`

    - #### setName

          public void setName(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.tags.Tag#setName(java.lang.String)`

    - #### name

          public Tag name(String name)

      See Also:
        `org.eclipse.microprofile.openapi.models.tags.Tag#name(java.lang.String)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.tags.Tag#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.tags.Tag#setDescription(java.lang.String)`

    - #### description

          public Tag description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.tags.Tag#description(java.lang.String)`

    - #### getExternalDocs

          public ExternalDocumentation getExternalDocs()

      See Also:
        `org.eclipse.microprofile.openapi.models.tags.Tag#getExternalDocs()`

    - #### setExternalDocs

          public void setExternalDocs(ExternalDocumentation externalDocs)

      See Also:
        `org.eclipse.microprofile.openapi.models.tags.Tag#setExternalDocs(org.eclipse.microprofile.openapi.models.ExternalDocumentation)`

    - #### externalDocs

          public Tag externalDocs(ExternalDocumentation externalDocs)

      See Also:
        `org.eclipse.microprofile.openapi.models.tags.Tag#externalDocs(org.eclipse.microprofile.openapi.models.ExternalDocumentation)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.